/* +---------------------------------------------------------------------------+
   |          The Mobile Robot Programming Toolkit (MRPT) C++ library          |
   |                                                                           |
   |                   http://mrpt.sourceforge.net/                            |
   |                                                                           |
   |   Copyright (C) 2005-2010  University of Malaga                           |
   |                                                                           |
   |    This software was written by the Machine Perception and Intelligent    |
   |      Robotics Lab, University of Malaga (Spain).                          |
   |    Contact: Jose-Luis Blanco  <jlblanco@ctima.uma.es>                     |
   |                                                                           |
   |  This file is part of the MRPT project.                                   |
   |                                                                           |
   |     MRPT is free software: you can redistribute it and/or modify          |
   |     it under the terms of the GNU General Public License as published by  |
   |     the Free Software Foundation, either version 3 of the License, or     |
   |     (at your option) any later version.                                   |
   |                                                                           |
   |   MRPT is distributed in the hope that it will be useful,                 |
   |     but WITHOUT ANY WARRANTY; without even the implied warranty of        |
   |     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         |
   |     GNU General Public License for more details.                          |
   |                                                                           |
   |     You should have received a copy of the GNU General Public License     |
   |     along with MRPT.  If not, see <http://www.gnu.org/licenses/>.         |
   |                                                                           |
   +---------------------------------------------------------------------------+ */

#ifndef CDLGCALIBPARAMS_H
#define CDLGCALIBPARAMS_H

//(*Headers(CDlgCalibParams)
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/dialog.h>
//*)

class CDlgCalibParams: public wxDialog
{
	public:

		CDlgCalibParams(wxWindow* parent,wxWindowID id=wxID_ANY);
		virtual ~CDlgCalibParams();

		//(*Declarations(CDlgCalibParams)
		wxStaticText* StaticText10;
		wxStaticText* StaticText9;
		wxTextCtrl* edFX;
		wxTextCtrl* edD4;
		wxStaticText* StaticText13;
		wxStaticText* StaticText2;
		wxTextCtrl* edD1;
		wxStaticText* StaticText6;
		wxStaticText* StaticText8;
		wxStaticText* StaticText11;
		wxTextCtrl* edD2;
		wxStaticText* StaticText1;
		wxStaticText* StaticText3;
		wxButton* Button22;
		wxTextCtrl* edFY;
		wxTextCtrl* edD3;
		wxButton* Button11;
		wxStaticText* StaticText5;
		wxStaticText* StaticText7;
		wxStaticText* StaticText15;
		wxTextCtrl* TextCtrl9;
		wxStaticText* StaticText4;
		wxTextCtrl* edCY;
		wxTextCtrl* edCX;
		//*)

	protected:

		//(*Identifiers(CDlgCalibParams)
		static const long ID_STATICTEXT1;
		static const long ID_TEXTCTRL1;
		static const long ID_STATICTEXT2;
		static const long ID_STATICTEXT3;
		static const long ID_TEXTCTRL2;
		static const long ID_STATICTEXT4;
		static const long ID_STATICTEXT5;
		static const long ID_TEXTCTRL3;
		static const long ID_STATICTEXT6;
		static const long ID_STATICTEXT7;
		static const long ID_TEXTCTRL4;
		static const long ID_STATICTEXT8;
		static const long ID_STATICTEXT9;
		static const long ID_TEXTCTRL5;
		static const long ID_STATICTEXT11;
		static const long ID_TEXTCTRL6;
		static const long ID_STATICTEXT13;
		static const long ID_TEXTCTRL7;
		static const long ID_STATICTEXT15;
		static const long ID_TEXTCTRL8;
		static const long ID_STATICTEXT10;
		static const long ID_TEXTCTRL9;
		static const long ID_BUTTON3;
		static const long ID_BUTTON4;
		//*)

	private:

		//(*Handlers(CDlgCalibParams)
		void OnbtnCancelClick(wxCommandEvent& event);
		void OnbtnApplyClick(wxCommandEvent& event);
		//*)

		DECLARE_EVENT_TABLE()
};

#endif
